### Class

# Gtk FontChooserDialog

#### Description [src]

    final class Gtk.FontChooserDialog : Gtk.Dialog {
      /* No available fields */
    }

The `GtkFontChooserDialog` widget is a dialog for selecting a font.

`GtkFontChooserDialog` implements the `GtkFontChooser` interface and does not provide much API of its own.

To create a `GtkFontChooserDialog`, use gtk_font_chooser_dialog_new().

# GtkFontChooserDialog as GtkBuildable

The `GtkFontChooserDialog` implementation of the `GtkBuildable` interface exposes the buttons with the names “select_button” and “cancel_button”.

#### Hierarchy

#### Ancestors

- GtkDialog
- GtkWindow
- GtkWidget
- GInitiallyUnowned
- GObject

#### Implements

- GtkAccessible
- GtkBuildable
- GtkConstraintTarget
- GtkFontChooser
- GtkNative
- GtkRoot
- GtkShortcutManager

#### Constructors

###### gtk_font_chooser_dialog_new

Creates a new `GtkFontChooserDialog`.